Support » Plugin: WP-reCAPTCHA » Does this really only support up to WP 2.9.2?

  • The topic ‘Does this really only support up to WP 2.9.2?’ is closed to new replies.